博客资讯

Blog资讯

4个理由你应该得到PHP 7

用户评分: 0 / 5

不活动星星不活动星星不活动星星不活动星星不活动星星
 

随着明年的Joomla 4的前景,我们希望提高对PHP 7升级的意识,Joomla 4将需要运行PHP 7,正如公告所属。大多数主机已经在他们的软件包中提供了PHP 7,并且改变你的PHP版本应该相当容易。(提示:在你之前,确保你有备份)如果没有,请立即联系你的主机。

让我们给你4个理由你不应该等待升级PHP。

PHP 7更好

很容易说,但PHP 7实际上有一个性能提高,使您的网站运行速度快两倍(与PHP 5相比),它有更好的内存消耗50%。当然,PHP 7也更安全,

Joomla 4将会很棒

Joomla 4将为用户和开发人员带来巨大的改进。清理的代码,更新的框架,伟大的新功能等等。Bootstrap 4将在核心中实现,将会有2个新的模板(前端和后端),新的媒体管理器将会被许多人所喜爱。
由于Joomla 4仍处于开发阶段,预计将于2018年下半年推出,所以令人惊叹的功能列表仍将延续并在发布前公布。

更新的框架

Joomla 4附带的更新框架(2.0版)有一些重大改进。数据库API将本地支持预准备语句,这是一个重要的安全增强。现在可以使用更加模块化的钥匙链组件来存储加密的数据。由于新的控制台组件,命令行工具可以更好,更安全地构建。
要获得完整的功能列。。

这是更安全和支持

安全修补程序不再支持PHP 5.6以前的版本。如果在PHP 5.3中发现了一些很大的漏洞,那么没有人会修复这个漏洞,并且你的站点会变得脆弱。通过使用最新版本,您将始终知道这些可能的问题将得到处理,并且在有更新时可以很快得到更新。
由于PHP 7是最新的主要版本,它将被支持很长一段时间(包括次要版本),所以你的Joomla 4网站将很容易运行到2025年。

但是,但是,如果我不能升级呢?

一个重要的事情要记住的是,Joomla 3.9将在其发布两年后得到支持。这意味着你可以在2020年之前舒适地运行你的Joomla 3站点,但是你会错过Joomla 4的所有优点和好处。但是说实话,如果你的主机现在不支持PHP 7,那可能是好的搜索另一个托管公司。

 

我们坚定地致力于让下一代Joomla成为最好的一代,并感受到向前迈进PHP 7将有助于为我们的用户提供最高质量的产品。

Search